---
title: "List notification"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › notifications

`GET /v2/notifications`

## Query parameters

- `unreadOnly` (`notification-list.query.unreadOnly`; boolean, optional)
  - default `false`
- `limit` (`notification-list.query.limit`; number, optional)
  - min 1; max 100; default `20`
- `offset` (`notification-list.query.offset`; number, optional)
  - min 0; default `0`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/notifications
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/notifications';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/notifications"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "notifications": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "userId": "string",
      "type": "application_received",
      "title": "string",
      "body": "string",
      "data": {
        "property1": null,
        "property2": null
      },
      "readAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalCount": 0,
  "unreadCount": 0,
  "hasMore": true
}
```

- `notifications` (`notification-list.response.200.notifications`; array<object>, required)
  - `id` (`notification-list.response.200.notifications.id`; string, required)
    - format `uuid`
  - `userId` (`notification-list.response.200.notifications.userId`; string, required)
  - `type` (`notification-list.response.200.notifications.type`; string, required)
    - one of `"application_received"`, `"application_status_changed"`, `"feedback_published"`, `"evaluation_assigned"`, `"role_closed"`, `"invitation_received"`, `"invitation_accepted"`, `"connection_requested"`, `"connection_accepted"`, `"startup_follow_requested"`, `"startup_follow_approved"`, `"startup_follow_rejected"`, `"directory_follow_requested"`, `"directory_follow_outcome"`, `"report_access_requested"`, `"report_access_approved"`, `"report_access_rejected"`, `"report_access_cancelled"`, `"report_access_revoked"`, `"startup_engagement_invitation"`, `"startup_engagement_request"`, `"startup_attestation_received"`, `"startup_review_approaching"`, `"startup_material_update"`, `"startup_access_changed"`, `"startup_founder_response"`, `"vault_access_requested"`, `"vault_access_approved"`, `"vault_access_rejected"`, `"vault_access_granted"`, `"vault_access_failed"`, `"entity_report_published"`, `"vault_shared"`, `"vault_share_revoked"`, `"vault_viewed"`, `"filing_status_changed"`, `"comment_added"`, `"mention_notification"`, `"suggestion_submitted"`, `"suggestion_reviewed"`, `"processing_completed"`, `"processing_failed"`, `"personnel_invitation_received"`, `"person_entity_claimed"`, `"company_release_requested"`, `"firm_ingest_attention"`, `"user_welcome"`, `"onboarding_nudge"`, `"report_shared"`, `"case_attention"`
  - `title` (`notification-list.response.200.notifications.title`; string, required)
  - `body` (`notification-list.response.200.notifications.body`; string, required, nullable)
  - `data` (`notification-list.response.200.notifications.data`; map<unknown>, required, nullable)
  - `readAt` (`notification-list.response.200.notifications.readAt`; string, required, nullable)
    - format `date-time`
  - `createdAt` (`notification-list.response.200.notifications.createdAt`; string, required)
    - format `date-time`
- `totalCount` (`notification-list.response.200.totalCount`; number, required)
- `unreadCount` (`notification-list.response.200.unreadCount`; number, required)
- `hasMore` (`notification-list.response.200.hasMore`; boolean, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-list.response.400.error`; object, required)
  - `code` (`notification-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`notification-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-list.response.401.error`; object, required)
  - `code` (`notification-list.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-list.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`notification-list.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-list.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-list.response.500.error`; object, required)
  - `code` (`notification-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`notification-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/notifications/list/index.md
